@import "CssWorkgroup";

.live-nav-season {
    position: relative;
    width: 100%;
    height: 40px;

    background: $color-black;

    .container {
        height: 100%;
        @include _containerHelper('normal');
    }

    ul {
        @include _reset-lists();
        width: 100%;
        height: 100%;
        @include _display-flex(flex, stretch, flex-start, row);
        padding-right: $grid-gap;
        overflow-x: auto;

        &:after {
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            width: $grid-gap*4;
            height: 100%;
            display: block;
            @include _linearGradient('horizontal', transparent, $color-black);
        }

        li {
            width: auto;
            height: 100%;

            button {
                display: block;
                height: 100%;
                padding: 0 $grid-gap;

                cursor: pointer;
                @include _font-button('bold', $color-white);
                @include _link-active() {
                    background: $color-primary;
                }
            }
        }
    }
}

.history-gametype {
    .container {
        @include _containerHelper('medium');
    }
}

.history-matches {
    margin-top: $grid-gap*2;

    .container {
        @include _containerHelper('tall');
    }

    h1 {
        @include _font-size($font-size-1);
    }

    button {
        @include _display-flex(flex, center, flex-start, row);
        margin: 0 0 0 0;
        padding: 15px 10px;

        @include _font-paragraph('bold', $color-paragraph);
        @include _font-size($font-size-paragraph);
        text-align: left;
        cursor: pointer;

        &:after {
            margin-left: auto;
        }

        .pill {
            margin-left: 5px;
        }
    }

    @include _respond-to('phones') {
        [data-grid] > div {
            margin-bottom: $grid-gap*2;
        }
    }

    .cup,
    .custom,
    .gameday {
        border-bottom: 1px solid rgba($color-black, .07);

        &:last-child {
            border: 0;
        }

        .match-list {
            margin-bottom: $grid-gap*2;
        }
    }
}
